using System.Collections.Generic;

namespace skydiveLogs_api.DomainService.Repositories
{
    public interface IRepository<T>
    {
        IEnumerable<T> GetAll();

        T GetById(int id);

        bool Update(T updated);

        int Add(T newEntity);
    }
}